WebEx Meeting Center Technical Requirements

On a PC

Windows Vista 32-bit/64-bit, Windows 7 32-bit/64-bit, Windows 8 32-bit/64-bit, Windows 8.1 32-bit/64-bit, Windows 10, Windows Server 2008 64-bit, Windows Server 2008 R2 64-bit; Windows Server 2012 R2 and 2016 with limitations

Linux Ubuntu 12x and 14x (Gnome), Red Hat 5 and 6, Open SuSE 13.1, Fedora 19 and 20 (all 32-bit)

Although Windows 10 is now officially supported, support for the Edge browser in Windows 10 is limited and WebEx recommends use of Internet Explorer or another browser instead.

  • Supported browsers:
    • Internet Explorer 10 (32-bit/64-bit), 11 (32-bit/64-bit)
    • Edge browser is supported using the WebEx Temporary Folder Solution (TFS) by downloading and installing an executable file (.exe) the first time it is used
    • Firefox latest 32-bit/64-bit*; Firefox 52 and later 32-bit only is supported in Linux using the Java Network Launch Protocol (JNLP)
    • Chrome latest 32-bit/64-bit*; starting with Chrome 38 users will be guided through a one-time process to add the extension and update the WebEx application
  • JavaScript and cookies enabled
  • Windows: Java 6 or later; Linux: Java 6, libstdc++ 6.0, GNOME/KDE windowing system
  • ActiveX be enabled/unblocked for Internet Explorer
  • Windows: Intel Core2 Duo CPU 2.XX GHz or AMD processor; Linux: Intel or AMD x86
  • 2 GB of RAM recommended
  • For group registrants: LCD/LED projector recommended
  • See below for audio requirements for all participants

Test your PC at www.webex.com/lp/jointest/.

*Users of Firefox version 26 (or later) or Chrome version 32 (or later) should read "Joining a WebEx Meeting on Chrome and Firefox FAQ" at https://support.webex.com/webex/meetings/en_US/chrome-firefox-join-faq.htm for steps necessary to enable the WebEx plug-in and join a WebEx event.

On a Mac

Mac OS 10.9 Mavericks, 10.10 Yosemite, 10.11 El Capitan, 10.12 Sierra, 10.13 High Sierra

Apple no longer offers Java as part of the Mac operating system. Since WebEx had previously relied on the Java browser plugin to automatically download the meeting application for first-time users, those who did not have Java installed found it difficult to join a meeting. The dependency on Java has been removed. Instead, the user is asked to install a small plugin that, once installed, handles the rest of the meeting application installation and then starts the meeting.

  • Supported browsers:
    • Safari 5, 6, 7, 8, 9, 10
    • Firefox latest**
    • Chrome latest 32-bit/64-bit**
  • JavaScript and cookies enabled
  • Intel processor
  • 512 MB of RAM or more recommended
  • For group registrants: LCD/LED projector recommended
  • See below for audio requirements for all participants

Test your Mac at www.webex.com/lp/jointest/.

**Users of Firefox version 26 (or later) or Chrome version 32 (or later) should read "Joining a WebEx Meeting on Chrome and Firefox FAQ" at https://support.webex.com/webex/meetings/en_US/chrome-firefox-join-faq.htm for steps necessary to enable the WebEx plug-in and join a WebEx event.

On an iOS or Android Mobile Device

You must download and install the Cisco WebEx Meeting app, which is available in both the App Store (for iOS) and Google Play (for Android), prior to joining a WebEx event. You will be able use your mobile device to join a WebEx event only through the Cisco WebEx Meeting app. WebEx events cannot be accessed using a browser on a mobile device.

Audio for All Meeting Participants

After joining the meeting you'll be offered three options for audio:

  • RECOMMENDED! Call Using Computer—Choose this option to connect to audio using VoIP if you have a headset with a microphone.
  • I Will Call In—If you don't have a computer headset with a microphone, then chose this option. Dial the phone number shown on your screen. When prompted, use your telephone keypad to enter the access code, and the Attendee ID shown on your screen.
  • Call Me—Enter your phone number, click Call Me. You will receive a call and may be prompted to press 1 to connect. You cannot receive the Call Me service if your organization uses extension numbers or if your site does not support this service.

To use the "I Will Call In or "Call Me" option, a long-distance enabled telephone is required. Your carrier's charges may apply. To use the "Call Using Computer" option, a computer headset with a microphone is required.